Subject: Re: [PATCH] drop trailing newline from warning/error/die messages

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Sep 2024 08:18:36 -0700

Jeff King <[email-masked]> writes:

> Our error reporting routines append a trailing newline, and the strings
> we pass to them should not include them (otherwise we get an extra blank
> line after the message).
>
> These cases were all found by looking at the results of:
>
>   git grep -P '[^_](error|error_errno|warning|die|die_errno)\(.*\\n"[,)]' '*.c'
>
> Note that we _do_ sometimes include a newline in the middle of such
> messages, to create multiline output (hence our grep matching "," or ")"
> after we see the newline, so we know we're at the end of the string).
>
> It's possible that one or more of these cases could intentionally be
> including a blank line at the end, but having looked at them all
> manually, I think these are all just mistakes.
>
> Signed-off-by: Jeff King <[email-masked]>
> ---
> I just happened to notice one of these, so I grepped for more.

Just like what a good developer would do ;-)  Thanks.

I am a bit surprised (and feel somewhat relieved) that no tests try
to match the messages exactly (with test_cmp, not with test_grep).